Bug 521431 - Review Request: lxde-icon-theme - Default icon theme for LXDE
Summary: Review Request: lxde-icon-theme - Default icon theme for LXDE
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dominic Hopf
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-05 21:16 UTC by Christoph Wickert
Modified: 2009-10-06 10:09 UTC (History)
3 users (show)

Fixed In Version: 0.4.2-2.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-06 10:00:57 UTC
dmaphy: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Christoph Wickert 2009-09-05 21:16:14 UTC
Spec URL: http://cwickert.fedorapeople.org/review/lxde-icon-theme.spec
SRPM URL: http://cwickert.fedorapeople.org/review/lxde-icon-theme-0.4.2-2.fc12.src.rpm
Description: nuoveXT2 is a very complete set of icons for several operating systems. It is also the default icon-theme of LXDE, the Lightweight X11 Desktop Environment.


Note: This is a split off from lxde-common to avoid unnecessary updates of data that doesn't change.

Comment 1 Christoph Wickert 2009-09-05 21:25:31 UTC
Sorry, wrong file. The correct srpm is
http://cwickert.fedorapeople.org/review/lxde-icon-theme-0.4.2-2.src.rpm

Comment 2 Dominic Hopf 2009-09-05 22:41:49 UTC
$ rpmlint lxde-icon-theme.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint lxde-icon-theme-0.4.2-2.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint lxde-icon-theme-0.4.2-2.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


MUSTs
-----

OK: packaged is named according to the package naming guidelines
OK: specfile name matches %{name}.spec
OK: package seems to meet packaging guidelines
OK: license in specfile matches actual license and meets licensing guidelines
OK: license file is included in %doc
OK: specfile is written in AE
OK: specfile is legible
OK: sourcefile in the package is the same as provided in the mentioned source,
    md5sum fits
OK: package compiles successfully
N/A: all build dependencies are listed in BuildRequires
     there aren't any BuildRequires
N/A: package handles locales properly
     there are no locales installed with this package
N/A: call ldconfig in %post and %postun
     there is no binary installed with this package
OK: package is not designed to be relocatable
OK: package owns directorys it creates
OK: does not list a file more than once in the %files listing
OK: %files section includes %defattr and permissions are set properly
OK: %clean section is there and contains rm -rf $RPM_BUILD_ROOT
OK: macros are consistently used
N/A: package contains code
	 package contains *.png files, but this is ok since this is an icon theme
N/A: subpackage for large documentation files
     there are no large documentation files
N/A: program runs properly without files listed in %doc
     there is no program which could be run
N/A: header files are in a -devel package
     there are no header files
N/A: static libraries are in a -static package
     there are no static libs
N/A: require pkgconfig if package contains a pkgconfig(.pc)
     there is no pkgconfig file
N/A: put .so-files into -devel package if there are library files with suffix
     there is no library with suffix, in fact there isn't any library
N/A: devel package includes fully versioned dependency for the base package
     there is no devel package
N/A: any libtool archives are removed
     there are no libtool archives
N/A: contains desktop file if it is a GUI application
     this package actually provides GUI..
OK: package does not own any files or directories owned by other packages
OK: buildroot is removed at beginning of %install
N/A: filenames are encoded in UTF-8
     not necessary since there are no non-ASCII filenames


SHOULD
------
N/A: non-English translations for description and summary
     a localization is not neccessary for this package
OK: package builds in mock
N/A: package builds into binary rpms for all supported architectures
     this is a noarch package
N/A: program runs
     there is no program which could be run
N/A: subpackages contain fully versioned dependency for the base package
     there are no subpackages
N/A: pkgconfig file is placed in a devel package
     there is no pkgconfig file
N/A: require package providing a file instead of the file itself
     no files outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin are required

The package seems to be okay. APPROVED.

Comment 3 Christoph Wickert 2009-09-06 00:46:52 UTC
New Package CVS Request
=======================
Package Name: lxde-icon-theme
Short Description: Default icon theme for LXDE
Owners: cwickert
Branches: F-10 F-11
InitialCC:

Comment 4 Kevin Fenzi 2009-09-06 22:05:56 UTC
cvs done.

Comment 5 Fedora Update System 2009-09-07 12:14:06 UTC
lxde-icon-theme-0.4.2-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/lxde-icon-theme-0.4.2-2.fc11

Comment 6 Fedora Update System 2009-09-07 12:15:00 UTC
lxde-icon-theme-0.4.2-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/lxde-icon-theme-0.4.2-2.fc10

Comment 7 Fedora Update System 2009-09-09 01:48:52 UTC
lxde-icon-theme-0.4.2-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lxde-icon-theme'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-9389

Comment 8 Fedora Update System 2009-09-09 01:49:57 UTC
lxde-icon-theme-0.4.2-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lxde-icon-theme'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9396

Comment 9 Fedora Update System 2009-10-06 10:00:52 UTC
lxde-icon-theme-0.4.2-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2009-10-06 10:09:41 UTC
lxde-icon-theme-0.4.2-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.